Loading ...
Sorry, an error occurred while loading the content.
 

Linux Centos version

Expand Messages
  • aprsyos
    What BQP version can be running under Linux Centos 5.10 ? /Thomas
    Message 1 of 15 , Feb 16, 2014
      What BQP version can be running under Linux Centos 5.10 ?
      /Thomas
    • John Wiseman
      Thomas, It is possible that the Ubuntu build of LinBPQ will run: https://dl.dropboxusercontent.com/u/31910649/linbpq It is more likely you will have to build
      Message 2 of 15 , Feb 16, 2014

        Thomas,

         

        It is possible that the Ubuntu build of LinBPQ will run:

         

        https://dl.dropboxusercontent.com/u/31910649/linbpq

         

        It is more likely you will have to build from source. The latest source and makefile can be downloaded from:

         

        https://dl.dropboxusercontent.com/u/31910649/BPQ6.0.5.18.Source.zip

         

        You will also need libconfig. If a package isn't available on Centos, you will have to build it from source as well.

         

        73, John

         


        From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
        Sent: 16 February 2014 10:31
        To: BPQ32@yahoogroups.com
        Subject: [BPQ32] Linux Centos version

         

         

        What BQP version can be running under Linux Centos 5.10 ?

        /Thomas

      • aprsyos
        John, Thanks, I will try it 73 Thomas
        Message 3 of 15 , Feb 16, 2014
          John,
          Thanks, I will try it

          73 Thomas
        • aprsyos
          Well I try to make the sourcecode you pointed me on but i seems that I am missing something in my Centos 5.10 setup. . below the last part of the make: ..
          Message 4 of 15 , Feb 16, 2014
            Well I try to "make" the sourcecode you pointed me on but i seems that I am missing something in my
            Centos 5.10 setup.
            .
            "below the last part of the make:
            ..
            gcc -DLINBPQ -MMD -g    -c -o Housekeeping.o Housekeeping.c
            In file included from Housekeeping.c:5:
            BPQMailChat.h:1389:25: warning: no newline at end of file
            gcc -DLINBPQ -MMD -g    -c -o HTTPcode.o HTTPcode.c
            gcc -DLINBPQ -MMD -g    -c -o kiss.o kiss.c
            kiss.c: In function âASYINITâ:
            kiss.c:216: error: âI2C_SLAVEâ undeclared (first use in this function)
            kiss.c:216: error: (Each undeclared identifier is reported only once
            kiss.c:216: error: for each function it appears in.)
            kiss.c:223: error: âI2C_TIMEOUTâ undeclared (first use in this function)
            kiss.c:1384:7: warning: no newline at end of file
            make: *** [kiss.o] Error 1

            73 Thomas
          • John Wiseman
            Thomas Looks like you are missing the i2c support libraries. Could you see if you can find a Centos libi2c-dev package? If not I ll modify the source to make
            Message 5 of 15 , Feb 16, 2014

              Thomas

               

              Looks like you are missing the i2c support libraries. Could you see if you can find a Centos libi2c-dev package? If not I'll modify the source to make i2c optional.

               

              73,  John

               

               


              From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
              Sent: 16 February 2014 15:39
              To: BPQ32@yahoogroups.com
              Subject: RE: [BPQ32] Linux Centos version

               

               

              Well I try to "make" the sourcecode you pointed me on but i seems that I am missing something in my

              Centos 5.10 setup.

              .

              "below the last part of the make:

              ..

              gcc -DLINBPQ -MMD -g    -c -o Housekeeping.o Housekeeping.c

              In file included from Housekeeping.c:5:

              BPQMailChat.h:1389:25: warning: no newline at end of file

              gcc -DLINBPQ -MMD -g    -c -o HTTPcode.o HTTPcode.c

              gcc -DLINBPQ -MMD -g    -c -o kiss.o kiss.c

              kiss.c: In function âASYINITâ:

              kiss.c:216: error: âI2C_SLAVEâ undeclared (first use in this function)

              kiss.c:216: error: (Each undeclared identifier is reported only once

              kiss.c:216: error: for each function it appears in.)

              kiss.c:223: error: âI2C_TIMEOUTâ undeclared (first use in this function)

              kiss.c:1384:7: warning: no newline at end of file

              make: *** [kiss.o] Error 1

               

              73 Thomas

            • aprsyos
              John, I cant find any libi2c-dev for Centos 5.10. 73 Thomas
              Message 6 of 15 , Feb 16, 2014
                John,

                I cant find any libi2c-dev for Centos 5.10.
                73 Thomas 
              • John Wiseman
                Ok, Thomas. This should build without i2c support. https://dl.dropboxusercontent.com/u/31910649/BPQ6.0.5.18.Source.zip 73, John _____ From:
                Message 7 of 15 , Feb 16, 2014

                  Ok, Thomas.

                   

                  This should build without i2c support.

                   

                  https://dl.dropboxusercontent.com/u/31910649/BPQ6.0.5.18.Source.zip

                   

                  73, John

                   


                  From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
                  Sent: 16 February 2014 17:15
                  To: BPQ32@yahoogroups.com
                  Subject: RE: [BPQ32] Linux Centos version

                   

                   

                  John,

                   

                  I cant find any libi2c-dev for Centos 5.10.

                  73 Thomas 

                • Joe Monk
                  http://www.rpmfind.net/linux/RPM/centos/centosplus/5.10/i386/lib_modules_2.6.18-371.1.2.el5.centos.plus_kernel_drivers_i2c_Tree.html Joe W5JDM
                  Message 8 of 15 , Feb 16, 2014


                    On Sun, Feb 16, 2014 at 11:14 AM, <thomasbostrom1@...> wrote:
                     

                    John,


                    I cant find any libi2c-dev for Centos 5.10.
                    73 Thomas 


                  • aprsyos
                    Joe, Thanks, then I have to understand/learn how to install the right version. 73 Thomas
                    Message 9 of 15 , Feb 16, 2014
                      Joe,
                      Thanks, then I have to understand/learn how to install the right version.
                      73
                      Thomas
                    • aprsyos
                      John, Yes, now I got stuck on next problem I am missing libconfig as you noticed me as mandatory. I will install libconfig and give it a new try. In the
                      Message 10 of 15 , Feb 17, 2014
                        John,

                        Yes, now I got stuck on next "problem" I am missing libconfig as you noticed me as mandatory.
                        I will install libconfig and give it a new try.
                        In the meantime I have installed the RedHat 6.02.8 compiled version and it seems to work under Centos!
                        73
                        Thomas
                      • John Wiseman
                        Ok, Thomas. If you can t find a libconfig package you can build from the source at http://www.hyperrealm.com/libconfig/libconfig-1.4.9.tar.gz The Redhat
                        Message 11 of 15 , Feb 17, 2014

                          Ok, Thomas.

                           

                          If you can't find a libconfig package you can build from the source at

                           

                          http://www.hyperrealm.com/libconfig/libconfig-1.4.9.tar.gz

                           

                          The Redhat version is a bit old, but it is encouraging that it will run.

                           

                          73,

                          John

                           


                          From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
                          Sent: 17 February 2014 13:00
                          To: BPQ32@yahoogroups.com
                          Subject: RE: [BPQ32] Linux Centos version

                           

                           

                          John,

                           

                          Yes, now I got stuck on next "problem" I am missing libconfig as you noticed me as mandatory.

                          I will install libconfig and give it a new try.

                          In the meantime I have installed the RedHat 6.02.8 compiled version and it seems to work under Centos!

                          73

                          Thomas

                        • aprsyos
                          John, It seems more and more to be a Linux problem now. I installed libconfig and all modules was installed in /usr/local/lib.but the make of BPQ6.0.5.18 tried
                          Message 12 of 15 , Feb 17, 2014
                            John,
                            It seems more and more to be a Linux problem now.
                            I installed libconfig and all modules was installed in /usr/local/lib.but the make of BPQ6.0.5.18 tried to load from /usr/lib/
                            I tried  ldconfig /usr/local/lib without success, then I copied the module libconfig.a from /usr/local/lib to /usr/lib.,  then the make continue until the command "setcap" was missing ??
                            .
                            .
                            BPQMailChat.h:1389:25: varning: inget nyradstecken vid slutet av filen
                            gcc -DLINBPQ -MMD -DNOI2C -g    -c -o AGWAPI.o AGWAPI.c
                            gcc -DLINBPQ -MMD -DNOI2C -g    -c -o AGWMoncode.o AGWMoncode.c
                            gcc IPCode.o FLDigi.o linether.o TNCEmulators.o CMSAuth.o APRSCode.o BPQtoAGW.o KAMPactor.o AEAPactor.o HALDriver.o MULTIPSK.o BBSHTMLConfig.o ChatHTMLConfig.o BBSUtilities.o bpqaxip.o BPQINP3.o BPQNRR.o cMain.o Cmd.o CommonCode.o compatbits.o config.o datadefs.o FBBRoutines.o HFCommon.o Housekeeping.o HTTPcode.o kiss.o L2Code.o L3Code.o L4Code.o lzhuf32.o MailCommands.o MailDataDefs.o MailNode.o MailRouting.o MailTCP.o MBLRoutines.o md5.o Moncode.o NNTPRoutines.o i2cdummy.o RigControl.o TelnetV6.o WINMOR.o TNCCode.o UZ7HODrv.o WPRoutines.o SCSTrackeMulti.o SCSPactor.o SCSTracker.o HanksRT.o  UIRoutines.o AGWAPI.o AGWMoncode.o -Xlinker -Map=output.map -lrt -lm -lpthread /usr/lib/libconfig.a -o linbpq
                            sudo setcap "CAP_NET_ADMIN=ep CAP_NET_RAW=ep CAP_NET_BIND_SERVICE=ep" linbpq
                            sudo: setcap: command not found
                            make: *** [linbpq] Fel 1
                            [root@SG0YOS BPQ6.0.5.18.Source]# 

                            73
                            Thomas



                            ---In BPQ32@yahoogroups.com, <john.wiseman@...> wrote:

                            Ok, Thomas.

                             

                            If you can't find a libconfig package you can build from the source at

                             

                            http://www.hyperrealm.com/libconfig/libconfig-1.4.9.tar.gz

                             

                            The Redhat version is a bit old, but it is encouraging that it will run.

                             

                            73,

                            John

                             


                            From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
                            Sent: 17 February 2014 13:00
                            To: BPQ32@yahoogroups.com
                            Subject: RE: [BPQ32] Linux Centos version

                             

                             

                            John,

                             

                            Yes, now I got stuck on next "problem" I am missing libconfig as you noticed me as mandatory.

                            I will install libconfig and give it a new try.

                            In the meantime I have installed the RedHat 6.02.8 compiled version and it seems to work under Centos!

                            73

                            Thomas

                          • aprsyos
                            John, I was to fast! linbpq was created without setcap, I am up and running Thanks 73 Thomas
                            Message 13 of 15 , Feb 17, 2014
                              John,
                              I was to fast! "linbpq" was created without setcap, I am up and running
                              Thanks
                              73
                              Thomas
                            • John Wiseman
                              Thomas, Good! For setcap you need package libcap2-bin. This is only needed if you want to use TCP ports below 1024 for the pop/smtp/nntp and telnet options, or
                              Message 14 of 15 , Feb 17, 2014

                                Thomas,

                                 

                                Good!

                                 

                                For setcap you need package libcap2-bin. This is only needed if you want to use TCP ports below 1024 for the pop/smtp/nntp and telnet options, or use the bpqether driver. The other option is to run as root, but that isn't really a good idea.

                                 

                                73,

                                John

                                 


                                From: BPQ32@yahoogroups.com [mailto: BPQ32@yahoogroups.com ] On Behalf Of thomasbostrom1@...
                                Sent: 17 February 2014 20:31
                                To: BPQ32@yahoogroups.com
                                Subject: RE: [BPQ32] Linux Centos version

                                 

                                 

                                John,

                                I was to fast! "linbpq" was created without setcap, I am up and running

                                Thanks

                                73

                                Thomas

                              • aprsyos
                                Ok I see Thanks 73 Thomas
                                Message 15 of 15 , Feb 18, 2014
                                  Ok I see
                                  Thanks
                                  73
                                  Thomas
                                Your message has been successfully submitted and would be delivered to recipients shortly.